<?php
include('../common/parseargs.php');

$USAGE=" --agentid=<agentid> ";

include('../common/basicargcheck.php');

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}


#arguments
$AGENTID=$args_array['agentid'];


if (strlen($AGENTID) < 1) {
        echo "ERROR: --agentid=<agentid> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

try{

	$client = new soapclient("https://$HOST:$PORT/Agent?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$response = $client->getAgentById(array('id'=>"$AGENTID")) ;

	var_dump($response);
} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
